%global momorel 4

Name:		rt73usb-firmware
Version:	1.8
Release:	%{momorel}m%{?dist}	
Summary:	Firmware for Ralink(R) RT2571W/RT2671 A/B/G network adaptors
Group:		System Environment/Kernel
License:	"Redistributable, no modification permitted"
URL:		http://www.ralinktech.com
Source0:	http://www.ralinktech.com.tw/data/RT71W_Firmware_V%{version}.zip
NoSource:	0
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:	noarch

Obsoletes: rt71w-firmware < %{version}-%{release}
Provides: rt71w-firmware = %{version}-%{release}


%description
This package contains the firmware required by the rt73usb driver for Linux.
Usage of the firmware is subject to the terms and conditions contained
inside the provided LICENSE.ralink-firmware.txt file.
Please read it carefully.


%prep
%setup -q -n RT71W_Firmware_V%{version}
sed -i 's/\r//' LICENSE.ralink-firmware.txt

%build
# Nothing to build

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/lib/firmware
install -pm 0644 *.bin $RPM_BUILD_ROOT/lib/firmware

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc LICENSE.ralink-firmware.txt
/lib/firmware/*


%changelog
* Tue Aug 31 2010 Yohsuke Ooi <meke@momonga-linux.org>
- (1.8-4m)
- full rebuild for mo7 release

* Sat Nov 14 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (1.8-3m)
- rebuild against gcc-4.4 and glibc-2.11

* Wed Jan 21 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (1.8-2m)
- rebuild against rpm-4.6

* Mon May  5 2008 Masahiro Takahata <takahata@momonga-linux.org>
- (1.8-1m)
- import from Fedora

* Mon Sep 17 2007 kwizart < kwizart at gmail.com > - 1.8-4
- Disable dist tag
- Preserve timestamp
- Add license from Ralink
- Improved summary and description

* Mon Mar 19 2007 kwizart < kwizart at gmail.com > - 1.8-3
- Update Source url (uses .com.tw instead of .com)
- Fix License field

* Mon Feb 26 2007 kwizart < kwizat at gmail.com > - 1.8-2
- Update the download link

* Tue Sep 13 2006 kwizart < kwizart at gmail.com > - 1.8-1_FC5
- inital release.
